/// Simple classes to store and work with geometrical data.
///
/// The [Point] and [Rectangle] classes extend the point and rectangle
/// class of the dart:math library with some new methods. The point and
/// rectangle class of StageXL are mutable, so you can change the fields
/// which is not possible with the dart:math classes.
///
library stagexl.geom;

export 'geom/circle.dart';
export 'geom/matrix.dart';
export 'geom/matrix_3d.dart';
export 'geom/perspective_projection.dart';
export 'geom/point.dart';
export 'geom/polygon.dart';
export 'geom/rectangle.dart';
export 'geom/vector.dart';
