library stagexl.ui.color;

/// Use the list of color values defined in [Color] to have
/// easy access to the ARGB values of different colors.

class Color {

  static const int AliceBlue = 0xFFF0F8FF;
  static const int AntiqueWhite = 0xFFFAEBD7;
  static const int Aqua = 0xFF00FFFF;
  static const int Aquamarine = 0xFF7FFFD4;
  static const int Azure = 0xFFF0FFFF;
  static const int Beige = 0xFFF5F5DC;
  static const int Bisque = 0xFFFFE4C4;
  static const int Black = 0xFF000000;
  static const int BlanchedAlmond = 0xFFFFEBCD;
  static const int Blue = 0xFF0000FF;
  static const int BlueViolet = 0xFF8A2BE2;
  static const int Brown = 0xFFA52A2A;
  static const int BurlyWood = 0xFFDEB887;
  static const int CadetBlue = 0xFF5F9EA0;
  static const int Chartreuse = 0xFF7FFF00;
  static const int Chocolate = 0xFFD2691E;
  static const int Coral = 0xFFFF7F50;
  static const int CornflowerBlue = 0xFF6495ED;
  static const int Cornsilk = 0xFFFFF8DC;
  static const int Crimson = 0xFFDC143C;
  static const int Cyan = 0xFF00FFFF;
  static const int DarkBlue = 0xFF00008B;
  static const int DarkCyan = 0xFF008B8B;
  static const int DarkGoldenrod = 0xFFB8860B;
  static const int DarkGray = 0xFFA9A9A9;
  static const int DarkGreen = 0xFF006400;
  static const int DarkKhaki = 0xFFBDB76B;
  static const int DarkMagenta = 0xFF8B008B;
  static const int DarkOliveGreen = 0xFF556B2F;
  static const int DarkOrange = 0xFFFF8C00;
  static const int DarkOrchid = 0xFF9932CC;
  static const int DarkRed = 0xFF8B0000;
  static const int DarkSalmon = 0xFFE9967A;
  static const int DarkSeaGreen = 0xFF8FBC8B;
  static const int DarkSlateBlue = 0xFF483D8B;
  static const int DarkSlateGray = 0xFF2F4F4F;
  static const int DarkTurquoise = 0xFF00CED1;
  static const int DarkViolet = 0xFF9400D3;
  static const int DeepPink = 0xFFFF1493;
  static const int DeepSkyBlue = 0xFF00BFFF;
  static const int DimGray = 0xFF696969;
  static const int DodgerBlue = 0xFF1E90FF;
  static const int Firebrick = 0xFFB22222;
  static const int FloralWhite = 0xFFFFFAF0;
  static const int ForestGreen = 0xFF228B22;
  static const int Fuchsia = 0xFFFF00FF;
  static const int Gainsboro = 0xFFDCDCDC;
  static const int GhostWhite = 0xFFF8F8FF;
  static const int Gold = 0xFFFFD700;
  static const int Goldenrod = 0xFFDAA520;
  static const int Gray = 0xFF808080;
  static const int Green = 0xFF008000;
  static const int GreenYellow = 0xFFADFF2F;
  static const int Honeydew = 0xFFF0FFF0;
  static const int HotPink = 0xFFFF69B4;
  static const int IndianRed = 0xFFCD5C5C;
  static const int Indigo = 0xFF4B0082;
  static const int Ivory = 0xFFFFFFF0;
  static const int Khaki = 0xFFF0E68C;
  static const int Lavender = 0xFFE6E6FA;
  static const int LavenderBlush = 0xFFFFF0F5;
  static const int LawnGreen = 0xFF7CFC00;
  static const int LemonChiffon = 0xFFFFFACD;
  static const int LightBlue = 0xFFADD8E6;
  static const int LightCoral = 0xFFF08080;
  static const int LightCyan = 0xFFE0FFFF;
  static const int LightGoldenrodYellow = 0xFFFAFAD2;
  static const int LightGray = 0xFFD3D3D3;
  static const int LightGreen = 0xFF90EE90;
  static const int LightPink = 0xFFFFB6C1;
  static const int LightSalmon = 0xFFFFA07A;
  static const int LightSeaGreen = 0xFF20B2AA;
  static const int LightSkyBlue = 0xFF87CEFA;
  static const int LightSlateGray = 0xFF778899;
  static const int LightSteelBlue = 0xFFB0C4DE;
  static const int LightYellow = 0xFFFFFFE0;
  static const int Lime = 0xFF00FF00;
  static const int LimeGreen = 0xFF32CD32;
  static const int Linen = 0xFFFAF0E6;
  static const int Magenta = 0xFFFF00FF;
  static const int Maroon = 0xFF800000;
  static const int MediumAquamarine = 0xFF66CDAA;
  static const int MediumBlue = 0xFF0000CD;
  static const int MediumOrchid = 0xFFBA55D3;
  static const int MediumPurple = 0xFF9370DB;
  static const int MediumSeaGreen = 0xFF3CB371;
  static const int MediumSlateBlue = 0xFF7B68EE;
  static const int MediumSpringGreen = 0xFF00FA9A;
  static const int MediumTurquoise = 0xFF48D1CC;
  static const int MediumVioletRed = 0xFFC71585;
  static const int MidnightBlue = 0xFF191970;
  static const int MintCream = 0xFFF5FFFA;
  static const int MistyRose = 0xFFFFE4E1;
  static const int Moccasin = 0xFFFFE4B5;
  static const int NavajoWhite = 0xFFFFDEAD;
  static const int Navy = 0xFF000080;
  static const int OldLace = 0xFFFDF5E6;
  static const int Olive = 0xFF808000;
  static const int OliveDrab = 0xFF6B8E23;
  static const int Orange = 0xFFFFA500;
  static const int OrangeRed = 0xFFFF4500;
  static const int Orchid = 0xFFDA70D6;
  static const int PaleGoldenrod = 0xFFEEE8AA;
  static const int PaleGreen = 0xFF98FB98;
  static const int PaleTurquoise = 0xFFAFEEEE;
  static const int PaleVioletRed = 0xFFDB7093;
  static const int PapayaWhip = 0xFFFFEFD5;
  static const int PeachPuff = 0xFFFFDAB9;
  static const int Peru = 0xFFCD853F;
  static const int Pink = 0xFFFFC0CB;
  static const int Plum = 0xFFDDA0DD;
  static const int PowderBlue = 0xFFB0E0E6;
  static const int Purple = 0xFF800080;
  static const int Red = 0xFFFF0000;
  static const int RosyBrown = 0xFFBC8F8F;
  static const int RoyalBlue = 0xFF4169E1;
  static const int SaddleBrown = 0xFF8B4513;
  static const int Salmon = 0xFFFA8072;
  static const int SandyBrown = 0xFFF4A460;
  static const int SeaGreen = 0xFF2E8B57;
  static const int SeaShell = 0xFFFFF5EE;
  static const int Sienna = 0xFFA0522D;
  static const int Silver = 0xFFC0C0C0;
  static const int SkyBlue = 0xFF87CEEB;
  static const int SlateBlue = 0xFF6A5ACD;
  static const int SlateGray = 0xFF708090;
  static const int Snow = 0xFFFFFAFA;
  static const int SpringGreen = 0xFF00FF7F;
  static const int SteelBlue = 0xFF4682B4;
  static const int Tan = 0xFFD2B48C;
  static const int Teal = 0xFF008080;
  static const int Thistle = 0xFFD8BFD8;
  static const int Tomato = 0xFFFF6347;
  static const int Transparent = 0x00FFFFFF;
  static const int Turquoise = 0xFF40E0D0;
  static const int Violet = 0xFFEE82EE;
  static const int Wheat = 0xFFF5DEB3;
  static const int White = 0xFFFFFFFF;
  static const int WhiteSmoke = 0xFFF5F5F5;
  static const int Yellow = 0xFFFFFF00;
  static const int YellowGreen = 0xFF9ACD32;
}
